/*	               M2P standard include file.  
 *
 *              Written By Bjrn Vaggen Konestabo in 1995 
 *
 *   Feel free to experiment. Reading the POV-Ray documentation is advised.
 * 
 */

#declare White=color rgb <1,1,1>
#declare Black=color rgb <0,0,0>
#declare Red=color rgb <1,0,0>
#declare Green=color rgb <0,1,0>
#declare Blue=color rgb <0,0,1>
#declare Yellow=color rgb <1,1,0>
#declare Cyan=color rgb <0,1,1>
#declare Magenta=color rgb <1,0,1>
#declare Orange=color rgb <1,0.5,0>
#declare Indigo=color rgb <0.5,0,1>
#declare Pink=color rgb <0.7,0.2,0.2>
#declare Gray10=color rgb <0.1,0.1,0.1>
#declare Gray20=color rgb <0.2,0.2,0.2>
#declare Gray30=color rgb <0.3,0.3,0.3>
#declare Gray40=color rgb <0.4,0.4,0.4>
#declare Gray50=color rgb <0.5,0.5,0.5>
#declare Gray60=color rgb <0.6,0.6,0.6>
#declare Gray70=color rgb <0.7,0.7,0.7>
#declare Gray80=color rgb <0.8,0.8,0.8>
#declare Gray90=color rgb <0.9,0.9,0.9>

#declare Light0=
union{
  object{light_source{<-30,40,-30> color Gray70}}
  object{light_source{<30,20,-30> color Pink}}
}

#declare Light1=
union{
  object{light_source{<-30,40,-30> color White}}
  object{light_source{<30,20,-30> color Gray70}}
}

#declare Contour=
pigment{
  gradient <0,1,0>
  color_map{
    [0.05 color rgb <0,0,0> filter 0.2]
    [0.05 color rgb <1,1,1> filter 1]
    [0.95 color rgb <1,1,1> filter 1]
    [0.95 color rgb <0,0,0> filter 0.2]
  }
}

#declare Shiny=finish{phong 1 ambient 0 diffuse 0.8 brilliance 1.5}
#declare Metallic=finish{phong 1 ambient 0 brilliance 1.5 metallic reflection 0.2}
#declare Dull=finish{ambient 0.2 brilliance 2 diffuse 0.9}
#declare Mirror=finish{brilliance 3 ambient 0 phong 1 reflection 0.5}


#declare Texture1=
texture{
  pigment{color rgb <1,1,1>}
  finish{Shiny}
}




#declare BACKGROUND=
object {	
  plane{<0,0,-1>,-2}
  pigment {
    gradient <0,1,0>
    color_map {
      [0.0 color LOWER_GRAD_COL]
      [1.0 color UPPER_GRAD_COL]
    }
    translate <0,-0.5,0>
    scale 4
  }
  finish{ambient 1 diffuse 0}
}

#declare BOX=
object{
  box {<-1,-1,-1> <1,1,1>}
  pigment {color rgb <1,1,1> filter .6}
  no_shadow
  rotate <0,45.00000,0>
  rotate <-45.00000,0,0>
}


